<?php
	$currDir = dirname(__FILE__);
	include("$currDir/nel.php");
	include("$currDir/defaultLang.php");
	include("$currDir/language.php");
	include("$currDir/lib.php");

	include_once("$currDir/header.php");

	/* grant access to all users who have access to the entete and facture table */
	$order_from = get_sql_from('facturation');
	if(!$order_from) exit(error_message('Access denied!', false));
	
	/* get entete and facturation */
	$order_id = intval($_REQUEST['idfacturation']);
	if(!$order_id) exit(error_message('Invalid invoice ID!', false));
	
	/* retrieve facturation info */
	$order_fields = get_sql_fields('facturation');
	$res = sql("select {$order_fields} from {$order_from} and idfacturation={$order_id}", $eo);
	if(!($order = db_fetch_assoc($res))) exit(error_message('Invoice not found!', false));
	
	$items = array();
	$order_total = 0;
	$item_fields = get_sql_fields('sorties');
	$item_from = get_sql_from('sorties');
	$res = sql("select {$item_fields} from {$item_from} and sorties.link_out={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal'] = str_replace('$', '', $row['pht']);
		$items[] = $row;
		$order_total += $row['LineTotal'];
	}
	
	$items = array();
	$order_total1 = 0;
	$item_fields = get_sql_fields('sorties');
	$item_from = get_sql_from('sorties');
	$res = sql("select {$item_fields} from {$item_from} and sorties.link_out={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal1'] = str_replace('$', '', $row['pht'] * $row['tva'] / 100 + $row['pht']);
		$items[] = $row;
		$order_total1 += $row['LineTotal1'];
	}
	
	$items = array();
	$order_total2 = 0;
	$item_fields = get_sql_fields('sorties');
	$item_from = get_sql_from('sorties');
	$res = sql("select {$item_fields} from {$item_from} and sorties.link_out={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal2'] = str_replace('$', '', $row['remise']);
		$items[] = $row;
		$order_total2 = $row['LineTotal2'];
	}
	
	?>

<html>
	<head>
	
	<style>
		#imgentete
		{
			width: 128px;
			height: 128px;
			float: left;
		}
		
		#bas {
			position: fixed;
			bottom: 0;
			width: 100%;
		}
		
		#gras{
			font-weight: 700;
		}
	</style>
	 
	</head>
 
<body>
	<a href="<?php echo PREPEND_PATH; ?>facturation_view.php?SelectedID=<?php echo urlencode($id) ?>" class="btn btn-info hidden-print btn-lg"><i class="glyphicon glyphicon-chevron-left"></i> <?php echo html_attr($Translation['Back']); ?></a>
	<button class="btn btn-primary hidden-print btn-lg hspacer-lg" type="button" id="sendToPrinter" onclick="window.print();"><i class="glyphicon glyphicon-print"></i> Imprimer</button>
</body>
 
</html>

	<!-- entete info -->
		<div>
			<?php
				$logo_src = getUploadDir("") .$order["logo"];
				echo "<img id='imgentete' src=\"{$logo_src}\" />";
			?>
		</div>
			<h3 class="text-center"><?php echo $order['rs']; ?></h3>		
			<p class="text-center"><?php echo $order['description']; ?></p>
			<hr>
			<br>
		<div class="col-sm-12 text-right">
			<h5>Nouakchott , le <?php echo $order['date']; ?></h5>
		</div>
			
	<!-- entete info -->
	
	<div class="row">
		<div class="col-sm-6">
		</div>		
	</div>

		<div class="row">
			<div class="col-sm-6">
				<!-- customer info -->
				<center>
						<h2 id="gras"><?php echo $order['type']; ?> N° GEI/<?php echo $order['idfacturation']; ?>/<?php echo date('Y');?></h2>
				</center>
			</div>
			<div class="col-sm-6 text-left">
				<!-- invoice info -->
				<h2>
					Client : <?php echo $order['client']; ?>
					<br>Nature : <?php echo $order['nature']; ?>
				</h2>
			</div>
			<br>
		</div>
		<!-- order items -->
	<table class="table table-striped table-bordered">
		<thead>
			<th class="text-center">#</th>
			<th>DESIGNATION</th>
			<th>PRIX UNITAIRE</th>
			<th class="text-center">QUANTITE</th>
			<th class="text-center">PRIX TOTAL</th>
		</thead>
		<tbody>
			<?php foreach($items as $i => $item){ ?>
			<tr>
				<td class="text-center"><?php echo ($i + 1); ?></td>
				<td><?php echo $item['designation']; ?></td>
				<td class="text-center"><?php echo $item['montant']; ?></td>
				<td class="text-center"><?php echo $item['punitaire']; ?></td>
				<td class="text-center"><?php echo $item['pht']; ?></td>
			</tr>
			<?php } ?>
		</tbody>
		<tfoot>
			<tr>
				<th colspan="4" class="text-right">TOTAL</th>
				<th class="text-right"> <?php echo number_format($order_total + $order['LineTotal'], 0, ',', ' '); ?></th>
			</tr>
		</tfoot>
	</table>	

	<span id="in-words"><b>Arrêté la présente facture à la somme de:</b></span>
	<?php
	include_once('nel.php');
	echo enlettres($order_total1 - $order_total + $order_total - $order_total2);
	?>
	<span id="in-words"><b> <?php echo $order['devise']; ?></b></span>
	<br><br>
	<p>
		<?php echo $order['termes']; ?>
	</p>
		<h3><b>&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;<u><?php echo $order['signataire'];?></u></b></h3>
	
	<div id="bas">
		<hr>
		<center>
			<h6><?php echo $order['footer']; ?><br><?php echo $order['footer_1']; ?><br><?php echo $order['footer_2']; ?></h6>
		</center>
	</div>